/*

Controls LED status lights for GPS lock: green if GPS is getting current info, red if not. 
Also unmounts servo motor, which keeps it from moving if no GPS lock.

by David Levin

*/

#define gpsOK 12    // green LED on pin 12
#define gpsLost 11  // red LED on pin 11
 
unsigned long start = millis();

void setupGpsStatus()
{
  pinMode(gpsOK, OUTPUT);
  pinMode(gpsLost, OUTPUT);
  digitalWrite(gpsLost, HIGH); // sets red LED on at program start (red until GPS lock) 
  digitalWrite(gpsOK, LOW);    //  sets green LED off
}  


void gpsServoLedSwitch()
{
   if (feedgps() == true)        // if NEW GPS data...
  {
    lastgps = millis();          // take note of the current time since startup...
    digitalWrite(gpsOK, HIGH);  //  turn on green LED...
    digitalWrite(gpsLost, LOW); //  turn off red LED...
    servoPointer.attach(10);    //  and attach servo at pin 10.
    //Serial.println("\ngps ok");   // debug
  } 
  {
    if ((millis() - lastgps) >= 5000) // Check amount of time since laset GPS lock. If longer than 5 seconds...
    {
      digitalWrite(gpsLost, HIGH); // turn on red LED...
      digitalWrite(gpsOK, LOW);    // turn off green led...
      servoPointer.detach();       // and detach the servo so it doesn't point to the wrong location.
      //Serial.println("\ngps lost");  // debug           
    }
  }
}


